#include "myString.h"
#include <iostream>
using std::cout;
using std::endl;

myString::myString(char *s)
{
    setString(s);
}

myString::myString(const myString &right)
{
    setString(&right);
}

myString::~myString()
{
    if (string)
	delete [] string;

    string = NULL;
}

void myString::setString(char *s)
{
    if (!s)
    {
	if (string)
	    delete [] string;

	string = NULL;
    }
    else
    {
	string = new char[strlen(s) + 1];
	memset(string, 0, (strlen(s) + 1));
	strcpy(string, s);
    }    
}

void myString::setString(const myString *right)
{
    setString(right->string);
}
